SYSFS_RENAME_LINK_NS(9)

NAME
sysfs_rename_link_ns - rename symlink in object's directory.

SYNOPSIS

int sysfs_rename_link_ns(struct kobject * kobj, struct kobject * targ, const char * old, const char * new, const void * new_ns);

ARGUMENTS

kobj
    object we're acting for.

targ
    object we're pointing to.

old
    previous name of the symlink.

new
    new name of the symlink.

new_ns
    new namespace of the symlink.

DESCRIPTION

A helper function for the common rename symlink idiom.

COPYRIGHT